Cantera 2.6.0

Namespaces | Functions
HMWSoln.cpp File Reference

Definitions for the HMWSoln ThermoPhase object, which models concentrated electrolyte solutions (see Thermodynamic Properties and HMWSoln ) . More...

`#include "cantera/thermo/HMWSoln.h"`
`#include "cantera/thermo/ThermoFactory.h"`
`#include "cantera/thermo/PDSS_Water.h"`
`#include "cantera/thermo/electrolytes.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ctml.h"`
Include dependency graph for HMWSoln.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static void | check_nParams (const std::string &method, size_t nParams, size_t m_formPitzerTemp)
vector_fp | getSizedVector (const AnyMap &item, const std::string &key, size_t nCoeffs)
void | assignTrimmed (AnyMap &interaction, const std::string &key, vector_fp &values)

## Detailed Description

Definitions for the HMWSoln ThermoPhase object, which models concentrated electrolyte solutions (see Thermodynamic Properties and HMWSoln ) .

Class HMWSoln represents a concentrated liquid electrolyte phase which obeys the Pitzer formulation for nonideality using molality-based standard states.

This version of the code was modified to have the binary Beta2 Pitzer parameter consistent with the temperature expansions used for Beta0, Beta1, and Cphi.(CFJC, SNL)

Definition in file HMWSoln.cpp.